import type { Request, Response } from "./messages.ts";
import type Service from "./service.ts";

export type AdaptorSubscribeTypeFn = (msg: string) => Promise<string>;
export type RouteSubscribeTypeFn<T, U> = (
	srv: Service,
	msg: Request<T>,
) => Promise<Response<U>>;
